setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron
del htron.cas
del htron_CamputersLynx
del htron_CamputersLynx.tap

REM we compile it under the name "htron" (without system suffix) so that the program file inside the cassette file gets this name

REM Generic Console
REM Lynx font has been extracted by dom, the files _font_lynx.asm and lynx3.fon are also required for compilation
REM Without that, the standard generic console font (taken from the ZX Spectrum) would be used, but IMHO the Lynx font looks better

zcc +lynx -create-app -pragma-redirect:fputc_cons=fputc_cons_generic htron.c _font_lynx.asm -pragma-redirect:CRT_FONT=_fontLynx -o htron

ren htron htron_CamputersLynx
ren htron.tap htron_CamputersLynx.tap

endlocal

rem pause
