setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

REM we compile it under the name "htron" (without system suffix) so that the program file inside the cassette file gets this name

del htron.bin
del htron.cas
del htron_trs80.bin
del htron_trs80.cas

REM create .cas file
zcc +trs80 -lndos -create-app -o htron.bin htron.c
ren htron.bin htron_trs80.bin
ren htron.cas htron_trs80.cas

REM create .cmd file
zcc +trs80 -lndos -create-app -o htron_trs80.bin -subtype=disk htron.c

endlocal

rem pause
