setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron_einstein.dsk
del htron_einstein.com

REM Here we define "__EINSTEIN__" so that we know what CP/M machine our program is running on

zcc +cpm -subtype=einstein -pragma-redirect:fputc_cons=fputc_cons_generic -o HTRON.COM htron.c -create-app -D__EINSTEIN__

endlocal

ren htron.dsk htron_einstein.dsk
ren htron.com htron_einstein.com

rem pause
