setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron_laser500_MAME.wav
del htron_laser500.wav
del htron_laser500.cas
del htron_laser500.bin
del htron_laser500
del htron.wav
del htron.cas
del htron.bin
del htron

REM we compile it under the name "htron" (without system suffix) so that the program file inside the cassette file gets this name

REM Will create a file that will load on real hardware.
zcc +laser500 htron.c -o htron -create-app -Cz--audio

ren htron htron_laser500.bin
ren htron.cas htron_laser500.cas
ren htron.wav htron_laser500.wav

REM Will create a file that will load on the Mame emulator
zcc +laser500 htron.c -o htron -create-app -Cz--audio -Cz--fast

del htron
del htron.cas
ren htron.wav htron_laser500_MAME.wav

endlocal

rem pause
