setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron_MemotechMTX500
del htron_MemotechMTX500.mtx
del htron_MemotechMTX512
del htron_MemotechMTX512.mtx

REM MTX 500 mode (32K)
REM This memory model works with the MTX512 too, but before loading the user must type:
REM POKE 64122,0 
REM NEW
zcc +mtx -pragma-redirect:fputc_cons=fputc_cons_generic -create-app htron.c -o htron_MemotechMTX500.o
ren htron_MemotechMTX500 htron_MemotechMTX500.mtx

REM MTX 512 mode (64K and more)
zcc +mtx -pragma-redirect:fputc_cons=fputc_cons_generic -create-app -startup=2 htron.c -o htron_MemotechMTX512.o
ren htron_MemotechMTX512 htron_MemotechMTX512.mtx

endlocal

rem pause
