setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron
del htron.dsk
del htron_microbee
del htron_microbee.dsk

REM Here we define "__BEE__" so that we know what CP/M machine our program is running on

zcc +cpm -subtype=microbee -pragma-redirect:fputc_cons=fputc_cons_generic -create-app -o htron htron.c -D__BEE__

endlocal

ren htron htron_microbee
ren htron.dsk htron_microbee.dsk

rem pause
