setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron_smc777.dsk
del htron_smc777.com

REM Here we define "__SMC777__" so that we know what CP/M machine our program is running on

zcc +cpm -subtype=smc777 -pragma-redirect:fputc_cons=fputc_cons_generic -o HTRON.COM htron.c -create-app -D__SMC777__

endlocal

ren htron.dsk htron_smc777.dsk
ren htron.com htron_smc777.com

rem pause
