setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron
del htron.cas
del htron_svi
del htron_svi.cas

REM we compile it under the name "htron" (without system suffix) so that the program file inside the cassette file gets this name

REM The -zorg=49200 option makes the program compatible for 16K machines

zcc  +svi -create-app htron.c -o htron -zorg=49200 -pragma-redirect:fputc_cons=fputc_cons_generic

ren htron htron_svi
ren htron.cas htron_svi.cas

endlocal

rem pause
