setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron_excalibur64
del htron_excalibur64.img

REM Here we define "__EXCALIBUR64__" so that we know what CP/M machine our program is running on

zcc +cpm -subtype=excali64 -pragma-redirect:fputc_cons=fputc_cons_generic -o HTRON htron.c -create-app -D__EXCALIBUR64__

endlocal

ren htron htron_excalibur64
ren htron.img htron_excalibur64.img

rem pause
