setlocal
rem Set your z88dk root path here
set z88root=C:\Misc\z88dk\

set path=%PATH%;%z88root%bin\
set zcccfg=%z88root%lib\config\
set z80_ozfiles=%z88root%lib\

del htron
del htron.cas
del htron_msx
del htron_msx.cas

REM we compile it under the name "htron" (without system suffix) so that the program file inside the cassette file gets this name

REM The -zorg=49200 option makes the program compatible for 16K machines

zcc +msx -create-app -lndos htron.c -o htron -pragma-need=ansiterminal -pragma-define:ansifont=7359 -pragma-define:ansifont_is_packed=0 -pragma-define:ansicolumns=32 -zorg=49200

ren htron htron_msx
ren htron.cas htron_msx.cas

endlocal

rem pause
